//
//  HttpRequestType.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2023/10/27.
//

import Foundation

// TODO: サイトのアドレスを変更
#if CANARY
enum HttpRequestType : String {
    case Terms = "https://tacmistorage.blob.core.windows.net/$web/terms/terms.mobile.html?sv=2021-10-04&st=2023-11-22T06%3A26%3A32Z&se=2023-11-23T06%3A26%3A32Z&sr=b&sp=r&sig=wS6kbbT5SvNVTkRsnRk%2BiDceZAsQ3Y56vrqTUO1X50E%3D"
    case RegisterLogin = "https://ssv-canary-web.azurewebsites.net/sailassistlogin"
    case SitePolicy = "https://ssv-canary-web.azurewebsites.net/sitepolicy"
    case CookiePolicy = "https://ssv-canary-web.azurewebsites.net/cookiepolicy"
    case PrivacyPolicy = "https://ssv-canary-web.azurewebsites.net/inapp?"  //+バージョン番号
    case TaskList = "https://ssv-canary-web.azurewebsites.net/api/sailassist/tasklist/XXXXX"
    case EcaArea = "https://ssv-canary-web.azurewebsites.net/api/sailassist/ecaarea/XXXXX"
    case ShipStatus = "https://ssv-canary-web.azurewebsites.net/api/sailassist/shipstatus/XXXXX"
    case ShipMonitoringRoute = "https://ssv-canary-web.azurewebsites.net/api/sailassist/shipmonitoringroute/XXXXX"
    case GetMessage = "https://ssv-canary-web.azurewebsites.net/api/chatdata/getmessages?shipId=XXXXX"
    case SignalR = "https://ssv-canary-web.azurewebsites.net/signalr/shore"
    case UploadImage = "https://ssv-canary-web.azurewebsites.net/api/chatdata/uploadimage"
    case ConnectionString = "Endpoint=sb://ssv-canary-notification.servicebus.windows.net/;SharedAccessKeyName=DefaultListenSharedAccessSignature;SharedAccessKey=rj2WniCJWWP2SG5gk4J7/2P/nIyChx8+JXKWCfTi8KA="
    case HubName = "ssv-canary-notification"
    case storage = "https://ssvcanarystorage.z1.web.core.windows.net/"
}
#elseif QC
enum HttpRequestType : String {
    case Terms = "https://tacmistorage.blob.core.windows.net/$web/terms/terms.mobile.html?sv=2021-10-04&st=2023-11-22T06%3A26%3A32Z&se=2023-11-23T06%3A26%3A32Z&sr=b&sp=r&sig=wS6kbbT5SvNVTkRsnRk%2BiDceZAsQ3Y56vrqTUO1X50E%3D"
    case RegisterLogin = "https://ssv-qc-web.azurewebsites.net/sailassistlogin"
    case SitePolicy = "https://ssv-qc-web.azurewebsites.net/sitepolicy"
    case CookiePolicy = "https://ssv-qc-web.azurewebsites.net/cookiepolicy"
    case PrivacyPolicy = "https://ssv-qc-web.azurewebsites.net/inapp?"  //+バージョン番号
    case TaskList = "https://ssv-qc-web.azurewebsites.net/api/sailassist/tasklist/XXXXX"
    case EcaArea = "https://ssv-qc-web.azurewebsites.net/api/sailassist/ecaarea"
    case ShipStatus = "https://ssv-qc-web.azurewebsites.net/api/sailassist/shipstatus/XXXXX"
    case ShipMonitoringRoute = "https://ssv-qc-web.azurewebsites.net/api/sailassist/shipmonitoringroute/XXXXX"
    case GetMessage = "https://ssv-qc-web.azurewebsites.net/api/chatdata/getmessages?shipId=XXXXX"
    case SignalR = "https://ssv-qc-web.azurewebsites.net/signalr/shore"
    case UploadImage = "https://ssv-qc-web.azurewebsites.net/api/chatdata/uploadimage"
    case ConnectionString = "Endpoint=sb://tacmiqchub.servicebus.windows.net/;SharedAccessKeyName=DefaultListenSharedAccessSignature;SharedAccessKey=mjGZyOensA5D/T6bMiDDwX6hwhoZNsDcK+GtBBBiUXk="
    case HubName = "tacmiqchub"
    case storage = "https://tacmiquaritycheckstorage.z31.web.core.windows.net/"
}
#else
//MARK: 運用サーバー用
enum HttpRequestType : String {
    case Terms = "https://tacmistorage.blob.core.windows.net/$web/terms/terms.mobile.html?sv=2021-10-04&st=2023-11-22T06%3A26%3A32Z&se=2023-11-23T06%3A26%3A32Z&sr=b&sp=r&sig=wS6kbbT5SvNVTkRsnRk%2BiDceZAsQ3Y56vrqTUO1X50E%3D"
    case RegisterLogin = "https://ssv.jmarinecloud.com/sailassistlogin"
    case SitePolicy = "https://ssv.jmarinecloud.com/sitepolicy"
    case CookiePolicy = "https://ssv.jmarinecloud.com/cookiepolicy"
    case PrivacyPolicy = "https://ssv.jmarinecloud.com/inapp?"  //+バージョン番号
    case TaskList = "https://ssv.jmarinecloud.com/api/sailassist/tasklist/XXXXX"
    case EcaArea = "https://ssv.jmarinecloud.com/api/sailassist/ecaarea"
    case ShipStatus = "https://ssv.jmarinecloud.com/api/sailassist/shipstatus/XXXXX"
    case ShipMonitoringRoute = "https://ssv.jmarinecloud.com/api/sailassist/shipmonitoringroute/XXXXX"
    case GetMessage = "https://ssv.jmarinecloud.com/api/chatdata/getmessages?shipId=XXXXX"
    case SignalR = "https://ssv.jmarinecloud.com/signalr/shore"
    case UploadImage = "https://ssv.jmarinecloud.com/api/chatdata/uploadimage"
    case ConnectionString = "Endpoint=sb://tacmihub.servicebus.windows.net/;SharedAccessKeyName=DefaultListenSharedAccessSignature;SharedAccessKey=/IOJAYGLZmS2JvlsHT5aT+ETlPXqNt1+VGuMNDt4bzw="
    case HubName = "tacmihub"
    case storage = "https://tacmistorage.z31.web.core.windows.net/"
}
#endif
